package client;

import org.springframework.context.support.ClassPathXmlApplicationContext;

import com.rise.authenticationwebservice.AuthenticationService;
import com.rise.usercomponent.entity.User;

public class AuthenticationServiceClient {
	
	public AuthenticationServiceClient(){
		
	}
	
	public static void main(String[] args) {
		ClassPathXmlApplicationContext context = new ClassPathXmlApplicationContext(
				new String[] {"client/client-beans.xml"});
		
		ClassPathXmlApplicationContext contextSpring = new ClassPathXmlApplicationContext(
				new String[] {"beans.xml", "beans-persistence.xml"});
		
		AuthenticationService authService = (AuthenticationService) 
				context.getBean("clientAuthService");
		
		User user = (User) contextSpring.getBean("userBean");
		user.setEmail("foo@gmail.com");
		user.setPassword("1234");
		
		boolean isAuthorized = authService.authenticate();
		
		if(isAuthorized)
			System.out.println("User authenticated!");
		else
			System.out.println("Authentication failed...");
	}
}
