package client;

import java.util.Collection;
import java.util.Iterator;

import org.springframework.context.support.ClassPathXmlApplicationContext;

import com.rise.itemwebservice.ItemService;
import com.rise.itemwebservice.entity.Comment;
import com.rise.itemwebservice.entity.Item;
import com.rise.itemwebservice.entity.ItemDetails;
import com.rise.usercomponent.UserComponent;
import com.rise.usercomponent.entity.User;

public class ItemServiceClient {

	public static void main(String[] args) {
		ClassPathXmlApplicationContext context = new ClassPathXmlApplicationContext(
				new String[] {"client/client-beans.xml"});
		
		ItemService itemService = (ItemService) context.
			getBean("clientItemService");
		
		UserComponent userService = (UserComponent) context.getBean("clientUserService");
		
		Item i = itemService.getItem(4);
		
		User user = userService.getUser(3);
		
		Collection<ItemDetails> temp = itemService.getItemDetails();
		Iterator<ItemDetails> itResult = temp.iterator();
		
		while(itResult.hasNext()){
			Comment comment = (Comment) itResult.next();
			
			comment.setNickname("Jack");
			comment.setTitle("Lost");
			comment.setCharacters("4");
			comment.setItem(i);
			comment.setUser(user);

			itemService.insertItemDetails(comment);
		}
	}
}
