package com.rise.authenticationwebservice;

import java.io.Serializable;

import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;
import javax.jws.soap.SOAPBinding.Style;
import javax.jws.soap.SOAPBinding.Use;
import javax.xml.bind.annotation.XmlSeeAlso;

import com.rise.usercomponent.entity.User;

/**
 * 
 * @author Heberth Braga
 *
 */
@WebService
@SOAPBinding(style = Style.DOCUMENT, use = Use.LITERAL)
@XmlSeeAlso({User.class, Card.class, FingerPrint.class})
public interface AuthenticationService extends Serializable {

	boolean authenticate();
}
