package com.rise.authenticationwebservice.impl;

import com.rise.authenticationwebservice.Authentication;
import com.rise.authenticationwebservice.FingerPrint;

/**
 * 
 * @author Heberth Braga
 *
 */
public class FingerPrintAuthentication extends Authentication {
	
	private FingerPrint finger;
	
	public FingerPrintAuthentication(FingerPrint finger){
		this.finger = finger;
	}
	
	@Override
	public boolean authenticate() {
		
		System.out.println(this.finger.getPrint());
		
		return true;
	}
}
