package com.rise.authenticationwebservice.impl;

import org.springframework.context.support.ClassPathXmlApplicationContext;

import com.rise.authenticationwebservice.Authentication;
import com.rise.usercomponent.UserComponent;
import com.rise.usercomponent.entity.User;

/**
 * 
 * @author Heberth Braga
 *
 */
public class PasswordAuthentication extends Authentication {
	
	private ClassPathXmlApplicationContext context;
	private User user;
	
	public PasswordAuthentication(){
		context = new ClassPathXmlApplicationContext(
				new String[] {"client/client-beans.xml"});
	}
	
	public void setUser(User user){
		this.user = user;
	}
	
	@Override
	public boolean authenticate() {
		
		UserComponent userComponent = (UserComponent) context.
			getBean("userComponentBean");
		
		return userComponent.validateUser(this.user.getEmail(),
				this.user.getPassword());
	}
}
