package com.rise.finewebservice;

import java.util.List;

import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;
import javax.jws.soap.SOAPBinding.Style;
import javax.jws.soap.SOAPBinding.Use;

import com.rise.finewebservice.entity.DelegateFine;
import com.rise.finewebservice.entity.Fine;

/**
 * 
 * @author Heberth Braga
 *
 */

@WebService
@SOAPBinding(style = Style.DOCUMENT, use = Use.LITERAL)
public interface FineService {
	
	void addFine(Fine  fine);
	
	Fine getFine(Integer id);
	
	List<Fine> getFines();
	
	void deleteFine(Fine fine);
	
	DelegateFine getDelegateFine();
}
