package com.rise.itemwebservice.entity;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlSeeAlso;

import com.rise.usercomponent.entity.User;

/**
 * 
 * @author Heberth Braga
 *
 */

@XmlSeeAlso({Comment.class})
public class ItemDetails implements Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 2714983010196610258L;
	
	private Integer id;
	private String characters;
	private String title;
	private User user;
	private Item item;
	
	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getCharacters() {
		return characters;
	}

	public void setCharacters(String characters) {
		this.characters = characters;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}
	
	public void setUser(User user){
		this.user = user;
	}
	
	public User getUser(){
		return this.user;
	}
	
	public void setItem(Item item){
		this.item = item;
	}
	
	public Item getItem(){
		return this.item;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((id == null) ? 0 : id.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		ItemDetails other = (ItemDetails) obj;
		if (id == null) {
			if (other.id != null)
				return false;
		} else if (!id.equals(other.id))
			return false;
		return true;
	}
}