package com.rise.persistence;

import com.rise.persistence.dao.CategoryDao;
import com.rise.persistence.dao.FineDao;
import com.rise.persistence.dao.ItemDao;
import com.rise.persistence.dao.ItemDetailsDao;
import com.rise.persistence.dao.LoanDao;
import com.rise.persistence.dao.ProfileDao;
import com.rise.persistence.dao.UserDao;

/**
 * 
 * @author Heberth Braga
 *
 */
public interface PersistenceFactory {

	UserDao getUserDao();
	
	ProfileDao getProfileDao();
	
	ItemDao getItemDao();
	
	ItemDetailsDao getItemDetailsDao();
	
	CategoryDao getCategoryDao();
	
	LoanDao getLoanDao();
	
	FineDao getFineDao();
}
