package com.rise.finewebservice;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlSeeAlso;

/**
 * 
 * @author Heberth Braga
 *
 */

@XmlSeeAlso({PenaltyForDelay.class, PenaltyForViolation.class})
public interface Fine extends Serializable {
	
	public void setId(Integer id);
	
	public Integer getId();
	
	public Double calculateFineValue();
	
	public void setFineValue(Double fineValue);
	
	public void setCalculatedFineValue(Double value);
	
	public Double getCalculatedFineValue();
}
