package com.rise.persistence;

import com.rise.persistence.dao.CategoryDao;
import com.rise.persistence.dao.FineDao;
import com.rise.persistence.dao.ItemDao;
import com.rise.persistence.dao.ItemDetailsDao;
import com.rise.persistence.dao.LoanDao;
import com.rise.persistence.dao.ProfileDao;
import com.rise.persistence.dao.UserDao;

/**
 * 
 * @author Heberth Braga
 *
 */
public interface PersistenceFactory {

	public UserDao getUserDao();
	
	public ProfileDao getProfileDao();
	
	public ItemDao getItemDao();
	
	public ItemDetailsDao getItemDetailsDao();
	
	public CategoryDao getCategoryDao();
	
	public LoanDao getLoanDao();
	
	public FineDao getFineDao();
}
