package com.rise.finebundle.dao.impl;

import java.util.List;

import org.springframework.orm.hibernate3.support.HibernateDaoSupport;

import com.rise.finebundle.Fine;
import com.rise.finebundle.PenaltyForDelay;
import com.rise.finebundle.dao.FineDao;

/**
 * 
 * @author Heberth Braga
 *
 */
public class FineDaoImpl extends HibernateDaoSupport 
		implements FineDao {

	@Override
	public void deleteFine(Fine fine) {
		getHibernateTemplate().delete(fine);
	}

	@Override
	public Fine getFineById(Integer id) {
		
		return (PenaltyForDelay) getHibernateTemplate().get(
				PenaltyForDelay.class, id);
	}

	@SuppressWarnings("unchecked")
	@Override
	public List<Fine> getFines() {
		
		return getHibernateTemplate().loadAll(Fine.class);
	}

	@Override
	public void saveFine(Fine fine) {
		getHibernateTemplate().save(fine);
	}

	@Override
	public void updateFine(Fine fine) {
		getHibernateTemplate().update(fine);
	}
}
