package com.rise.itembundle.dao;

import java.util.HashMap;

import com.rise.itembundle.dao.impl.CommentDaoImpl;

/**
 * 
 * @author Heberth Braga
 *
 */
public class DelegateDaos {
	
	private HashMap<Integer, ItemDetailsDao> mapDaos;
	
	public DelegateDaos(){
		mapDaos = new HashMap<Integer, ItemDetailsDao>();
		mapDaos.put(0, new CommentDaoImpl());
	}
	
	public ItemDetailsDao getItemDetailsDao(ItemDetailsDao 
			detailsDao){
		
		detailsDao = mapDaos.get(0);

		if(detailsDao instanceof CommentDaoImpl){
			
			return detailsDao;
		}
		
		return null;
	}
}
