package com.rise.itembundlestrategy.dao;

import java.util.List;

import com.rise.itembundlestrategy.Category;

/**
 * 
 * @author Heberth Braga
 *
 */
public interface CategoryDao {

	public Category getCategory(Integer id);
	
	public List<Category> getCategories();
	
	public void saveCategory(Category category);
	
	public void removeCategory(Category category);
	
	public void updateCategory(Category category);
}
