package com.rise.loanbundle;

import java.io.Serializable;
import java.util.List;
import java.util.Set;

import com.rise.itembundle.Item;
import com.rise.userbundle.User;

/**
 * 
 * @author Heberth Braga
 *
 */
public interface LoanService extends Serializable {
	
	public void addLoan(Loan loan);
	
	public Loan getLoan(Integer id);
	
	public List<Loan> getLoans();
	
	public Set<Loan> getLoanByUser(User user);
	
	public void returnLoanItem(Loan loan);
	
	public Set<Item> getItensLoan(Loan loan);
	
	public void setFineMonth(Integer fineMonth);

	public void setFineDayofMonth(Integer fineDayofMonth);
	
	public void calculateFineDelay(Double fineValue, Loan loan);
}
