package com.rise.loanbundle.dao;

import java.util.List;
import java.util.Set;

import com.rise.itembundle.Item;
import com.rise.loanbundle.Loan;
import com.rise.userbundle.User;

/**
 * 
 * @author Heberth Braga
 *
 */
public interface LoanDao {

	public void saveLoan(Loan loan);
	
	public Loan getLoanbyId(Integer id);
	
	public List<Loan> getLoans();
	
	public Set<Loan> getLoanByUser(User user);
	
	public Set<Item> getItensLoan(Loan loan);
	
	public void updateLoan(Loan loan);
}
