package com.rise.loanbundlestrategy;

import java.util.Date;
import java.util.Set;

import com.rise.finebundlestrategy.Fine;
import com.rise.itembundlestrategy.Item;
import com.rise.userbundle.User;

/**
 * 
 * @author Heberth Braga
 *
 */

public interface Loan {

	public void setLoanId(Integer loanId);
	
	public Integer getLoanId();

	public Date getLoanDate();

	public void setLoanDate(Date loanDate);
	
	public Date getReturnDate();

	public void setReturnDate(Date returnDate);
	
	public Date getPlannedReturnDate();

	public void setPlannedReturnDate(Date plannedReturnDate);
	
	public Double getLoanValue();

	public void setLoanValue(Double loanValue);
	
	public void setItens(Set<Item> itens);
	
	public Set<Item> getItens();
	
	public void setUser(User user);
	
	public User getUser();
	
	public Fine getFine();

	public void setFine(Fine fine);
}
