package com.rise.userbundle.entity.impl;

import com.rise.userbundle.Profile;
import com.rise.userbundle.User;

/**
 * 
 * @author Heberth Braga
 *
 */
public class UserImpl implements User, Comparable<Object> {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -4199731503668697771L;
	
	private Integer userId;
	private String username;
	private String password;
	private String email;
	private String address;
	private String telephone;
	private Profile profile;

	public Integer getUserId() {
		return this.userId;
	}
	
	public void setUserId(Integer userId) {
		this.userId = userId;
	}
	
	public String getUsername() {
		return username;
	}
	
	public void setUsername(String username) {
		this.username = username;
	}
	
	public String getPassword() {
		return password;
	}
	
	public void setPassword(String password) {
		this.password = password;
	}
	
	public String getEmail() {
		return email;
	}
	
	public void setEmail(String email) {
		this.email = email;
	}
	
	public String getAddress() {
		return address;
	}
	
	public void setAddress(String address) {
		this.address = address;
	}
	
	public String getTelephone() {
		return telephone;
	}
	
	public void setTelephone(String telephone) {
		this.telephone = telephone;
	}
	
	@Override
	public Profile getProfile() {
		
		return this.profile;
	}

	@Override
	public void setProfile(Profile profile) {
		this.profile = profile;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((userId == null) ? 0 : userId.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		UserImpl other = (UserImpl) obj;
		if (userId == null) {
			if (other.userId != null)
				return false;
		} else if (!userId.equals(other.userId))
			return false;
		return true;
	}

	@Override
	public int compareTo(Object o) {
		
		return this.userId.compareTo(((UserImpl) o).getUserId());
	}
}
