package com.rise.serviceComponents.authenticationServiceComponent;

import org.osoa.sca.annotations.Service;

import com.rise.serviceComponents.userServiceComponent.UserService;

/**
 * 
 * @author Heberth Braga
 * 
 *
 */

@Service(AuthenticationService.class)
public class AuthenticationServiceImpl implements AuthenticationService {

	/**
	 * 
	 */
	private static final long serialVersionUID = -632200642431792198L;
	
	private Authentication auth;
	private UserService userService;
	
	public AuthenticationServiceImpl(Authentication auth){
		this.auth = auth;
	}
	
	@Override
	public void setUserService(UserService userService){
		this.userService = userService;
		this.auth.setUserService(this.userService);
	}
	
	@Override
	public boolean authenticate() {
		
		return this.auth.authenticate();
	}
}
