package com.rise.serviceComponents.fineServiceComponent;

import java.util.Map;

import com.rise.serviceComponents.fineServiceComponent.entity.Fine;

/**
 * 
 * @author Heberth Braga
 *
 */
public class DelegateFine {

	private Fine fallbackFine;
	private Map<Integer, Fine> fines;
	
	public void setFallbackFine(Fine fallbackFine){
		this.fallbackFine = fallbackFine;
	}
	
	public void setFines(Map<Integer, Fine> fines){
		this.fines = fines;
	}
	
	public Fine getFineType(Integer key){
		if( key != null ){
			Fine fine = this.fines.get(key);
		
			if( fine == null )
				fine = this.fallbackFine;
			
			return fine;
		}
		
		return null;
	}
}
