package com.rise.serviceComponents.itemServiceComponent;

import com.rise.serviceComponents.userServiceComponent.User;

/**
 * 
 * @author Heberth Braga
 * 
 * Inheritance mechanism.
 *
 */

public class ItemDetails {
	
	protected Integer id;
	protected String characters;
	protected String title;
	protected User user;
	protected Item item;
	
	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
	
	public void setCharacters(String characters){
		this.characters = characters;
	}
	
	public String getCharacters(){
		return this.characters;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}
	
	public void setUser(User user){
		this.user = user;
	}
	
	public User getUser(){
		return this.user;
	}
	
	public void setItem(Item item){
		this.item = item;
	}
	
	public Item getItem(){
		return this.item;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((id == null) ? 0 : id.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		ItemDetails other = (ItemDetails) obj;
		if (id == null) {
			if (other.id != null)
				return false;
		} else if (!id.equals(other.id))
			return false;
		return true;
	}
}
