package com.rise.serviceComponents.itemServiceComponent;

import java.io.Serializable;
import java.util.Collection;
import java.util.List;

/**
 * 
 * @author Heberth Braga
 * 
 * Item service.
 *
 */
public interface ItemService extends Serializable {

	public void addItem(Item item);
	
	public void updateItem(Item item);
	
	public Item getItem(Integer id);
	
	public List<Item> getItens();
	
	public void addCategory(Category category);
	
	public Category getCategory(Integer id);
	
	public List<Category> categories();
	
	public void insertItemDetails(ItemDetails details);
	
	public Collection<Object> loadItemDetails(ItemDetails details);
	
	public Collection<ItemDetails> getItemDetailsTypes();
}
