package com.rise.serviceComponents.userServiceComponent;

import java.util.Set;

/**
 * 
 * @author Heberth Braga
 * 
 * Profile Entity.
 *
 */

public class Profile {

	private Integer profileId;
	private String name;
	private String description;
	private Set<User> users;
	
	public Profile(){
		
	}
	
	public void setProfileId(Integer profileId){
		this.profileId = profileId;
	}
	
	public Integer getProfileId(){
		return this.profileId;
	}
	
	public void setName(String name){
		this.name = name;
	}
	
	public String getName(){
		return this.name;
	}
	
	public void setDescription(String description){
		this.description = description;
	}
	
	public String getDescription(){
		return this.description;
	}
	
	public void setUsers(Set<User> users){
		this.users = users;
	}
	
	public Set<User> getUsers(){
		return this.users;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result
				+ ((profileId == null) ? 0 : profileId.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Profile other = (Profile) obj;
		if (profileId == null) {
			if (other.profileId != null)
				return false;
		} else if (!profileId.equals(other.profileId))
			return false;
		return true;
	}
}
