package client;

import java.util.List;

import org.springframework.context.support.ClassPathXmlApplicationContext;

import com.rise.loanwebservice.LoanService;
import com.rise.loanwebservice.entity.Loan;

public class LoanServiceClient {

	public LoanServiceClient(){
		
	}
	
	public static void main(String[] args) {
		ClassPathXmlApplicationContext context = new ClassPathXmlApplicationContext(
				new String[] {"client/client-beans.xml"});
		
		LoanService loanService = (LoanService) context.
				getBean("clientLoanService");
		
		List<Loan> loans = loanService.getLoans();
		
		for(Loan l: loans){
			System.out.println(l.getLoanId());
		}
	}
}
