package com.rise.authenticationwebservice;

import org.springframework.context.support.ClassPathXmlApplicationContext;

import com.rise.userwebservice.User;
import com.rise.userwebservice.UserService;

/**
 * 
 * @author Heberth Braga
 *
 */
public class PasswordAuthentication implements Authentication {
	
	private ClassPathXmlApplicationContext context;
	private User user;
	
	public PasswordAuthentication(User user){
		context = new ClassPathXmlApplicationContext(
				new String[] {"client/client-beans.xml"});
		this.user = user;
	}
	
	@Override
	public boolean authenticate() {
		
		UserService userService = (UserService) context.getBean(
				"clientUserService");

		return userService.validateUser(this.user.getEmail(),
				this.user.getPassword());
	}
}
