package com.rise.finebundle;

/**
 * 
 * @author Heberth Braga
 *
 */
public abstract class Fine {
	
	private Integer id;
	protected Double fineValue;
	private Double calculatedFineValue;
	
	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Double getFineValue() {
		return fineValue;
	}

	public void setFineValue(Double fineValue) {
		this.fineValue = fineValue;
	}
	
	/*
	 *  Method which will be overridden in subclasses
	 */
	public abstract Double calculateFineValue(Object[] parameters);

	public Double getCalculatedFineValue() {
		return this.calculatedFineValue;
	}

	public void setCalculatedFineValue(Double calculatedFineValue) {
		this.calculatedFineValue = calculatedFineValue;
	}
}
