package com.rise.finebundle;

import java.util.List;

import com.rise.finebundle.dao.FineDao;

/**
 * 
 * @author Heberth Braga
 *
 */
public class FineServiceImpl implements FineService {
	
	private FineDao fineDao;
	private DelegateFine delegateFine;
	
	public void setFineDao(FineDao fineDao) {
		this.fineDao = fineDao;
	}

	public void setDelegateFine(DelegateFine delegateFine) {
		this.delegateFine = delegateFine;
	}

	@Override
	public void addFine(Fine fine) {
		this.fineDao.saveFine(fine);
	}

	@Override
	public void removeFine(Fine fine) {
		this.fineDao.deleteFine(fine);
	}

	@Override
	public Fine getFine(Integer id) {
		
		return this.fineDao.getFineById(id);
	}

	@Override
	public List<Fine> getFines() {
		
		return this.fineDao.getFines();
	}

	@Override
	public void updateFine(Fine fine) {
		this.fineDao.updateFine(fine);
	}

	@Override
	public DelegateFine getDelegateFine(){
		return this.delegateFine;
	}
}
