package com.rise.finebundle;

import org.osgi.framework.BundleContext;

/**
 * 
 * @author Heberth Braga
 *
 */
public class FineBundleTest {
	
	private BundleContext context = Activator.getDefault().getContext();
	
	private static final Integer PENALTY_FOR_DELAY = 0;
	
	public void start(){
		
		FineService fineService = (FineService) context.getService(context.
				getServiceReference(FineService.class.getName()));
		
		PenaltyForDelay delay = (PenaltyForDelay) fineService.getDelegateFine().doStrategy
				(PENALTY_FOR_DELAY);
		
		System.out.println(delay);
	}
}
