package com.rise.itembundle;

import java.util.Collection;
import java.util.Iterator;
import org.osgi.framework.BundleContext;

import com.rise.userbundle.User;
import com.rise.userbundle.UserService;

/**
 * 
 * @author Heberth Braga
 *
 */
public class ItemBundleTest {
	
	private BundleContext context = Activator.getDefault().getContext();
	private BundleContext userContext = Activator.getDefault().getContext();
	
	public void start(){
		
		ItemService itemService = (ItemService) context.getService(context.
				getServiceReference(ItemService.class.getName()));
		
		UserService userService = (UserService) userContext.getService(userContext.
				getServiceReference(UserService.class.getName()));
		
		Item i = itemService.getItem(4);
		
		User user = userService.getUser(3);
		
		Collection<ItemDetails> temp = itemService.getItemDetails();
		Iterator<ItemDetails> itResult = temp.iterator();
		
		while(itResult.hasNext()){
			/*Review review = (Review) itResult.next(); 
			
			review.setTitle("Fisica Aplicada");
			review.setCharacters("Bla bla bla");
			review.setItem(i);
			review.setUser(user);
			review.setPicture("fisica.jpg");
			
			itemService.insertItemDetails(review);*/
			
			Comment comment = (Comment) itResult.next();
		
			comment.setNickname("Lock");
			comment.setTitle("Lost");
			comment.setCharacters("R4ll");
			comment.setItem(i);
			comment.setUser(user);

			itemService.insertComment(comment);
		}
	}
}
