package com.rise.loanbundle;

import org.osgi.framework.BundleContext;

/**
 * 
 * @author Heberth Braga
 *
 */
public class LoanBundleTest {
	
	private BundleContext loanContext = Activator.getDefault().
			getContext();
	
	public void start(){
		
		LoanService loanService = (LoanService) loanContext.getService(loanContext.
				getServiceReference(LoanService.class.getName()));
	
		Loan loan = loanService.getLoan(8);
		
		loanService.setFineDayofMonth(29);
		loanService.setFineMonth(6);
		
		loanService.calculateFineDelay(24.0, loan);
	}
}
