package com.rise.loanbundlestrategy;

import java.io.Serializable;
import java.util.List;
import java.util.Set;

import com.rise.finebundlestrategy.Fine;
import com.rise.itembundlestrategy.Item;
import com.rise.userbundle.User;

/**
 * 
 * @author Heberth Braga
 *
 */
public interface LoanService extends Serializable {
	
	public void addLoan(Loan loan);
	
	public Loan getLoan(Integer id);
	
	public List<Loan> getLoans();
	
	public Set<Loan> getLoanByUser(User user);
	
	public void returnLoanItem(Loan loan);
	
	public Set<Item> getItensLoan(Loan loan);
	
	public void addFine(Fine fine);
	
	public void calculateFine(Double fineValue);
}
