package com.rise.userbundle;

import java.util.List;

/**
 * 
 * @author Heberth Braga
 *
 */
public interface UserService {

	public void addUser(User user);
	
	public User getUser(Integer id);
	
	public List<User> getUsers();
	
	public User getUserByName(String param);
	
	public List<Object> getUsersByParameters(String str,
			Object[] parameters);
	
	public void removeUser(User user);
	
	public void updateUser(User user);
	
	public void addProfile(Profile Profile);
	
	public Profile getProfile(Integer id);
	
	public List<Profile> getProfiles();
	
	public void removeProfile(Profile profile);
	
	public void updateProfile(Profile profile);
	
	public boolean validateUser(String email, String password);
}
