package com.rise.userbundle.dao;

import java.util.List;

import com.rise.userbundle.User;

/**
 * 
 * @author Heberth Braga
 *
 */
public interface UserDao {

	public void saveUser(User user);
	
	public User getUser(Integer id);
	
	public List<User> getUsers();
	
	public User getUserByName(String param);
	
	public List<Object> getUsersByParameters(String str,
			Object[] parameters);
	
	public void removeUser(User user);
	
	public void updateUser(User user);
}
