package com.rise.userbundle.dao.impl;

import java.util.List;

import org.springframework.orm.hibernate3.support.HibernateDaoSupport;

import com.rise.userbundle.Profile;
import com.rise.userbundle.dao.ProfileDao;
import com.rise.userbundle.entity.impl.ProfileImpl;

/**
 * 
 * @author Heberth Braga
 *
 */
public class ProfileDaoImpl extends HibernateDaoSupport 
		implements ProfileDao {

	@Override
	public Profile getProfile(Integer id) {
		
		return (Profile) getHibernateTemplate().get(
				ProfileImpl.class, id);
	}

	@SuppressWarnings("unchecked")
	@Override
	public List<Profile> getProfiles() {
		
		return getHibernateTemplate().loadAll(ProfileImpl.class);
	}

	@Override
	public void removeProfile(Profile profile) {
		getHibernateTemplate().delete(profile);
	}

	@Override
	public void saveProfile(Profile profile) {
		getHibernateTemplate().save(profile);
	}

	@Override
	public void updateProfile(Profile profile) {
		getHibernateTemplate().update(profile);
	}
}
