package com.rise.serviceComponents.authenticationServiceComponent.impl;

import com.rise.serviceComponents.authenticationServiceComponent.Authentication;
import com.rise.serviceComponents.userServiceComponent.UserService;

/**
 * 
 * @author Heberth Braga
 *
 */
public class FingerPrintAuthentication extends Authentication {
	
	private FingerPrint finger;
	
	public FingerPrintAuthentication(FingerPrint finger){
		this.finger = finger;
	}
	
	@Override
	public boolean authenticate() {
		
		System.out.println(this.finger.getPrint());
		
		return true;
	}

	@Override
	public void setUserService(UserService userService) {
	
	}
}
