package com.rise.serviceComponents.fineServiceComponent.entity;

import java.util.Calendar;

/**
 * 
 * @author Heberth Braga
 *
 */
public class Date {

	public static String getFormattedDate(int day, int month, int year){
		String strDay = null;  
		String strMonth = null;  
		if (day < 10) {  
			strDay = "0" + day;  
		} else {  
			strDay = Integer.toString(day);  
		}  
		if (month < 10) {  
			strMonth = "0" + month;  
		} else {  
			strMonth = Integer.toString(month);  
		}  
		return strDay + "/" + strMonth + "/" + 
				Integer.toString(year);  
	}
	
	public static String getTodayDate() {  
		Calendar currentDate = Calendar.getInstance();  

		Integer year = currentDate.get(Calendar.YEAR);  
		Integer month = currentDate.get(Calendar.MONTH);  
		Integer day = currentDate.get(Calendar.DAY_OF_MONTH);  
		month += 1;  

		return getFormattedDate(day, month, year);  
	}  
	
	public static Integer getDayOfMonth(){
		Calendar currentDate = Calendar.getInstance(); 
		
		Integer day = currentDate.get(Calendar.DAY_OF_MONTH);
		
		return day;
	}
	
	public static Integer getMonth(){
		Calendar currentDate = Calendar.getInstance(); 
		
		Integer month = currentDate.get(Calendar.MONTH);
		
		return month;
	}
	
	public static boolean yearIsBisext(int year) {  

		boolean result;  
		if (year % 4 == 0) {  
			if (year % 100 == 0) {  
				if (year % 400 == 0) {  
					result = true;  
				} else {  
					result = false;  
				}  
			} else {  
				result = true;  
			}  
		} else {  
			result = false;  
		}  
		return result;  
	} 
	
	public static int getDaysMonth(int month, int year) {  

		int[] m = new int[12];  

		m[0] = 31;  

		if (yearIsBisext(year)) {  
			m[1] = 29;  
		} else {  
			m[1] = 28;  
		}  

		m[2] = 31;  

		m[3] = 30;  

		m[4] = 31;  

		m[5] = 30;  

		m[6] = 31;  

		m[7] = 31;  

		m[8] = 30;  

		m[9] = 31;  

		m[10] = 30;  

		m[11] = 31;  

		return m[month - 1];  
	}  
	
	public static void main(String[] args) {
		
		System.out.println(Date.getDaysMonth(5, 2009));
	}
}
