package com.rise.serviceComponents.userServiceComponent;

import org.springframework.context.ApplicationContext;

import com.rise.server.ServicesServer;
import com.rise.serviceComponents.userServiceComponent.entity.User;
import com.rise.spring.SCAApplicationContextProvider;
import com.rise.spring.exceptions.ServiceNotFoundException;

public class Client {

	public static void main(String[] args) {
			
		ServicesServer server = new ServicesServer();

		server.createNodeFactory();
		server.createNode("R4llTuscany.composite");
		server.getNode().start();

		ApplicationContext ctx = SCAApplicationContextProvider.getApplicationContext();

		try {
			UserService userService = (UserService) SCAApplicationContextProvider.
					getService("UserServiceBean", ctx);

			User user = userService.getUserByName("Joao");

			System.out.println(user.getEmail());

		} catch (ServiceNotFoundException e) {
			e.printStackTrace();
		}

		server.getNode().stop();
	}
}
