package com.rise.serviceComponents.authenticationServiceComponent;

import com.rise.serviceComponents.userServiceComponent.UserService;


/**
 * 
 * @author Heberth Braga
 * 
 * This the optional implementation of the Authentication interface. 
 * It is a kind of inheritance powered by the strategy pattern.
 *
 */
public class CardAuthentication implements Authentication {
	
	private Card card;
	
	public CardAuthentication(Card card){
		this.card = card;
	}
	
	@Override
	public void setUserService(UserService userService){
		
	}
	
	@Override
	public boolean authenticate() {
		
		System.out.println(card.getCardNumber());
		
		return true;
	}
}
