package com.rise.server;

import org.apache.tuscany.sca.node.SCANode;
import org.apache.tuscany.sca.node.SCANodeFactory;

/**
 * 
 * @author Heberth Braga
 *
 */
public class ServicesServer {
	
	private SCANodeFactory factory;
	private SCANode node;
	
	public void createNodeFactory(){
		factory = SCANodeFactory.newInstance();
	}
	
	public void createNode(String compositeName){
		node = factory.createSCANodeFromClassLoader(compositeName, 
				ServicesServer.class.getClassLoader());
	}
	
	public SCANode getNode(){
		return node;
	}
}
